<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="css/Bootstrap/bootstrap.min.css" />
    <link rel="stylesheet" href="css/examEmpDash.css" />
    <title>Document</title>
  </head>
  <body>
    <nav class="navbar navbar-expand-lg text-white bg-danger alert hidden">
      <h3 class="alert-wait">Something went wrong, please try again later.</h3>
    </nav>

    <nav class="navbar navbar-expand-lg text-white bg-success alert hidden">
      <h3 class="alert-ok">Your objection has been submitted successfully.</h3>
    </nav>

    <nav class="signin-nav navbar navbar-expand-lg d-flex">
      <div class="respon container-fluid">
        <ul class="navbar-nav">
          <li class="nav-item dropdown">
            <a
              class="nav-link dropdown-toggle text-white"
              href="#"
              id="navbarDarkDropdownMenuLink"
              role="button"
              data-bs-toggle="dropdown"
            >
              Ammar Jlies
            </a>
            <ul
              class="dropdown-menu"
              aria-labelledby="navbarDarkDropdownMenuLink"
            >
              <li>
                <a
                  class="dropdown-item log-out"
                  href="http://localhost/SemesterProject/index.html"
                  >تسجيل خروج</a
                >
              </li>
            </ul>
          </li>
        </ul>
      </div>
    </nav>

    <section id="objections">
      <div class="container-fluid d-flex justify-content-center">
        <!-- pills -->
        <ul class="nav nav-tabs" id="myTab" role="tablist">
          <li class="nav-item" role="presentation">
            <button
              class="tab-pill-charge nav-link active"
              id="charge-tab"
              data-bs-toggle="tab"
              data-bs-target="#charge"
              type="button"
              role="tab"
              aria-controls="charge"
              aria-selected="true"
            >
              شحن حساب
            </button>
          </li>
          <li class="nav-item" role="presentation">
            <button
              class="tab-pill-view nav-link"
              id="view-tab"
              data-bs-toggle="tab"
              data-bs-target="#view"
              type="button"
              role="tab"
              aria-controls="view"
              aria-selected="false"
            >
              عرض طلبات الاعتراض
            </button>
          </li>
        </ul>
      </div>
      <!-- end -->
      <div class="tab-content">
        <div class="container-fluid col-lg-8 objections-container">
          <div class="container-fluid objections-box">
            <!-- Charge Account -->
            <div
              class="tab-pane-charge fade show active"
              id="charge"
              role="tabpanel"
              aria-labelledby="charge-tab"
            >
              <form class="row row-cols-lg-2 row-cols-1">
                <div class="col">
                  <input
                    class="form-control form-control-lg mb-2 charge-matno"
                    type="text"
                    placeholder="الرقم الجامعي"
                    required
                  />
                </div>
                <div class="col">
                  <input
                    class="form-control form-control-lg mb-2 charge-amount"
                    type="text"
                    placeholder="المبلغ"
                    required
                  />
                </div>
                <div class="col center">
                  <button
                    class="btn btn-lg btn-success submit-button"
                    data-bs-toggle="modal"
                    data-bs-target="#staticBackdrop"
                  >
                    إرسال
                  </button>
                </div>
              </form>
            </div>
            <!-- end -->

            <!-- view objections -->
            <div
              class="tab-pane-view fade hidden"
              id="view"
              role="tabpanel"
              aria-labelledby="view-tab"
            >
              <div class="row row-cols-lg-2 row-cols-1">
                <div class="col">
                  <select
                    class="form-select form-select-lg year-sel mb-2"
                    required
                  >
                    <option disabled selected hidden>السنة</option>
                    <option value="1">1</option>
                    <option value="2">2</option>
                    <option value="3">3</option>
                    <option value="4">4</option>
                    <option value="5">5</option>
                  </select>
                </div>
                <div class="col">
                  <select
                    class="form-select form-select-lg subject-sel mb-2"
                    required
                  >
                    <option disabled selected hidden>المادة</option>
                    <option value="1">1</option>
                    <option value="2">2</option>
                    <option value="3">3</option>
                    <option value="4">4</option>
                    <option value="5">5</option>
                  </select>
                </div>
              </div>
              <br />
              <!-- this the the objections parent -->
              <div class="objections-window">
                <!-- Objection -->
                <div class="container-fluid objection removable">
                  <div
                    class="container-fluid d-flex align-items-center text-center margin row row-cols-1 row-cols-lg-5"
                  >
                    <div class="col">
                      <h4 class="responsive-h4">MatNo: 4812</h4>
                    </div>
                    <div class="col">
                      <h4 class="responsive-h4">Name: Ammar Jlies</h4>
                    </div>
                    <div class="col">
                      <h4 class="responsive-h4">Old Mark: 55</h4>
                    </div>
                    <div class="col">
                      <h4 class="responsive-h4">Instructor: Harry Hacker</h4>
                    </div>
                    <div class="col">
                      <button class="btn btn-primary me-1 btn-accept">
                        &#10003;
                      </button>
                      <button class="btn btn-danger btn-reject">
                        &#x2715;
                      </button>
                    </div>
                  </div>
                </div>
                <!-- end objection -->
              </div>
            </div>
            <!-- end view objections screen -->
          </div>
        </div>
      </div>
    </section>

    <!-- Popup when clicking submit -->
    <div
      class="modal fade"
      id="staticBackdrop"
      data-bs-backdrop="static"
      data-bs-keyboard="false"
      tabindex="-1"
      aria-labelledby="staticBackdropLabel"
      aria-hidden="true"
    >
      <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
          <div class="modal-header">
            <!-- Popup Title -->
            <h5 class="modal-title" id="staticBackdropLabel">التأكيد</h5>
            <button
              type="button"
              class="btn-close"
              data-bs-dismiss="modal"
              aria-label="Close"
            ></button>
          </div>
          <!-- Popup Text -->
          <div class="modal-body" dir="rtl"></div>
          <!-- Popup Footer (buttons) -->
          <div class="modal-footer">
            <button
              type="button"
              class="btn btn-secondary btn-cancel"
              data-bs-dismiss="modal"
            >
              Close
            </button>
            <button
              type="button"
              class="btn btn-primary btn-confirm"
              data-bs-dismiss="modal"
            >
              Confirm
            </button>
          </div>
        </div>
      </div>
    </div>
    <!-- end of Popup -->
    <script src="js/examEmpDash.js"></script>
    <script src="js/Bootstrap/bootstrap.bundle.min.js"></script>
  </body>
</html>
